Package com.sun.speech.freetts

# Interface UtteranceProcessor

All Known Implementing Classes:
  `AudioOutput`, `ClusterUnitPitchmarkGenerator`, `ClusterUnitSelector`, `CMUArcticVoice`, `CMUClusterUnitVoice`, `CMUDiphoneVoice`, `CMUTimeVoice`, `CMUVoice`, `ContourGenerator`, `DiphonePitchmarkGenerator`, `DiphoneUnitSelector`, `Durator`, `Intonator`, `MbrolaAudioOutput`, `MbrolaCaller`, `MbrolaVoice`, `ParametersToMbrolaConverter`, `PartOfSpeechTagger`, `PauseGenerator`, `Phraser`, `PostLexicalAnalyzer`, `Segmenter`, `TokenToWords`, `UnitConcatenator`, `Voice`

public interface UtteranceProcessor
Performs an operation on an Utterance. Examples of classes that might implement this interface include a Tokenizer, Normalizer, PartOfSpeechTagger, etc.

## Method Summary

Modifier and Type
Method
Description
`void`
`processUtterance(Utterance u)`
Performs an operation on the given Utterance.

## Method Details

### processUtterance

void processUtterance(Utterance u) throws ProcessException
Performs an operation on the given Utterance.

Parameters:
  `u` - the utterance on which to perform operations
Throws:
  `ProcessException` - if an exception occurred during the operation